splat(1)

NAME
splat - Solaris Porting LAyer Tests

SYNOPSIS

splat [-chvx] < --all | --list | --test subsystem:test [...] >

DESCRIPTION
This utility uses the splat.ko kernel module to test the spl.ko kernel module. Run "modprobe splat" before invoking splat.

OPTIONS

-a, --all

    Run all available tests on all subsystems.

-c, --nocolor

    Disable output highlighting. By default, "Fail" is printed in red text and "Pass" is printed in green text.

-h, --help

    Print the usage message.

-l, --list

    For each spl.ko subsystem, print all available test names and hexidecimal identifiers with a short description.

-t subsystem:test, --test subsystem:test

-t subsystem:all, --test subsystem:all

    Run the test diagnostic routine for the spl.ko subsystem. Specify this option more than once to run multiple tests. The test and subsystem parameters are the names or hexidecimal identifiers returned by the splat --list command. If subsystem is a name and not a hexidecimal identifier, then the all keyword can be used to run all available subsystem tests.

-v, --verbose

    Increase verbosity.

-x, --exit

    Stop running tests after the first failure.

EXAMPLES

Test everything in the spl.ko kernel module:

    # splat --all --verbose

Test the entire kernel memory subsystem:

    # splat --test kmem:all

Test the kernel compression and queue waiting facilities:

    # splat --test zlib:compress/uncompress --test taskq:wait

This is the same as the previous command, except that the subsystems and tests are referenced by hexidecimal identifier instead of by name:

    # splat -t 0x0f00:0x0f01 -t 0x0200:0x0204

NOTES
All tests always return a green "Pass" result on a healthy system. Any red "Fail" result should be investigated or reported.

BUGS
Some tests can deadlock the kernel if an X11 desktop is running, especially if a proprietary blob driver is loaded for the video hardware.

AUTHORS
This man page was written by Darik Horn <dajhorn@vanadac.com>.

SEE ALSO
zpios(1), ztest(1)